from compLIB import *


class Motor(object):

    @staticmethod
    def power(port: int, percent: int):
        """
        Set specified motor to percentage power
        :param port: Port, which the motor is connected to. 0-3, 0 -> top left, 3 -> top right
        :param percent: Percentage of max speed. between -100 and 100
        :return: None
        """
        forward = True
        if percent < 0:
            percent = abs(percent)
            forward = False

        adjusted_speed = min(max(0, percent), 100) * MOTOR_PERCENTAGE_MULT

        if forward:
            pwm.setMotorPwm(port * 2, 0)
            pwm.setMotorPwm(port * 2 + 1, adjusted_speed)
        else:
            pwm.setMotorPwm(port * 2, adjusted_speed)
            pwm.setMotorPwm(port * 2 + 1, 0)

    @staticmethod
    def all_off():
        """
        Turns of all motors
        :return:
        """
        for i in range(0, MOTOR_COUNT):
            Motor.power(i, 0)
